<?php

namespace App\View\Components;

use Illuminate\View\Component;

class Badge extends Component
{
    public $variant;
    public $icon;
    public $dot;

    public function __construct($variant = 'gray', $icon = null, $dot = true)
    {
        $this->variant = $variant;
        $this->icon = $icon;
        $this->dot = $dot;
    }

    public function render()
    {
        return view('components.badge');
    }
}
